## org.eclipse.ocl.util
Interface Adaptable

All Known Subinterfaces:
  BasicEnvironment, BasicEnvironment2, Environment.Internal<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

All Known Implementing Classes:
  AbstractBasicEnvironment, AbstractEnvironment, AbstractEnvironmentFactory, AbstractEvaluationEnvironment, EcoreEnvironment, EcoreEnvironmentFactory, EcoreEvaluationEnvironment, UMLEnvironment, UMLEnvironmentFactory, UMLEvaluationEnvironment

    public interface Adaptable

Interface implemented by `Environment`s that are adaptable to optional interfaces that can be considered as extensions to the environment API.

Since:
  1.2

Method Summary

`

`<T> T`

`

`getAdapter(Class<T> adapterType)`
Obtains an adapter for the specified interface type.

Method Detail

### getAdapter

    <T> T getAdapter(Class<T> adapterType)

  Obtains an adapter for the specified interface type.

  Type Parameters:
    `T` - the requested adapter interface
  Parameters:
    `adapterType` - the requested adapter interface
  Returns:
    an instance of the requested interface, or `null` if this environment does not adapt to it

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.